<?php 
// Welcome to 乐众系统&IDC财务管理系统
// Copyright (c)  http://www.lzsys.com/ All rights reserved.
// Business authorization email server@lzsys.com
// 欢迎使用乐众系统&IDC财务管理系统


// [应用配置文件]
return $plugins_config = array(
    'name'     => '阿里云-短信',                      // 应用名称
	

    'type'     => '阿里云短信',                                // 类型 参考 https://www.lzsys.com/news/118.html

    'describe' => '对接阿里云官方短信推送服务、采用阿里云API接口调用短信发送服务、支持多账户添加切换', // 应用描述

    'author'   => '乐众-官方',                          // 作者

    'qq'       => '123456',                           // 作者QQ

    'url'      => 'http://www.lzsys.com',                  // 作者官网

    'shop'     => 'http://www.lzsys.com/buy.html', // 作者应用商店
	
    'plugin_version'  =>'1.0.1',                          // 版本信息
	
	'icon'     =>'aliyunsms.png',                             // 应用图标
	
	'install'  =>'install.php',                           // 应用安装文件  如 创建SQL表，创建目录等初始化功能
	
	'uninstall'=>'uninstall.php',                         // 应用卸载文件  如 删除表 删除目录等卸载功能
	
	'explain'  =>'http://www.lzsys.com/idc_file/help_alisms.html',                  // 应用介绍，使用说明地址
	
	
	'panel'    =>false,                                    // 管理员独立管理面板 直接在本系统内管理 如渠道管理
	'panel_bottom'   =>"渠道配置",                              // 在线管理面板（管理员端）
	'panel_open'    =>false,                                  // 是否在新窗口打开管理面板  false为原窗口 弹窗打开  true=新窗口	

    //----------------------------api = 添加接口时所填参数
	
	'create_api'     => array(
        array(
            'type' => 'input',                      // 输入类型  input 文本框   select 组合框  pass=密码框   number 数字框  radio=单选框
            'text' => '渠道名称',                    // 参数名称
            'placeholder' => '如：阿里云-A账号',   // 输入说明
            'name' => 'name',                   // 参数名称    所有插件都必须有 name 参数
			'defaultvalue' => '',                   // 默认值 
            'rules' => array(                       // 是否必填 
                'required' => true,                 // true=必填  false=可空
                'message' => '请输入渠道名称',       // 必填若没有输入，则提示这段文字
                'trigger' => 'blur',                // 固定值
            ),

        ),

		array(
            'type' => 'input', 
            'text' => '通讯ID', 
            'placeholder' => '请输入阿里云的 AccessKey ID', 
            'name' => 'account',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入通讯ID', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '通讯密钥', 
            'placeholder' => '请输入阿里云 AccessKey Secret', 
            'name' => 'secret',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => true,  
                'message' => '请输入通讯密钥', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '测试模板', 
            'placeholder' => '输入通讯检测模版CODE 通讯检测用', 
            'name' => 'test_code',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => true,  
                'message' => '请输入测试模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '测试手机', 
            'placeholder' => '点击通讯检测时，会给该手机发送测试短信', 
            'name' => 'test_tel',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => true,  
                'message' => '请输入测试手机', 
                'trigger' => 'blur', 
            ),

        ),
		
		array(
            'type' => 'radio',
            'text' => '客户登录',
            'name' => 'login',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '登录模板', 
            'placeholder' => '对于阿里云官网的模板CODE 如 SMS_229648538', 
            'name' => 'login_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入登录模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '客户注册',
            'name' => 'reg',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '注册模板', 
            'placeholder' => '对于阿里云官网的模板CODE 如 SMS_229643265', 
            'name' => 'reg_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入注册模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '登录异常',
            'name' => 'login_error',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '异常模板', 
            'placeholder' => '登录异常调用的模板CODE 如 SMS_229648567', 
            'name' => 'login_error_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入异常模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '登录验证码',
            'name' => 'login_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '验证码模板', 
            'placeholder' => '登录验证码调用的模板CODE 如 SMS_229648275', 
            'name' => 'login_code_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入验证码模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '注册验证码',
            'name' => 'reg_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '验证码模板', 
            'placeholder' => '注册验证码调用的模板CODE 如 SMS_229648275', 
            'name' => 'reg_code_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入注册验证码模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '找密验证码',
            'name' => 'retrieve_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '验证码模板', 
            'placeholder' => '找回密码验证码调用的模板CODE 如 SMS_229648275', 
            'name' => 'retrieve_code_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入找回密码验证码模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '余额充值',
            'name' => 'pay',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '充值模板', 
            'placeholder' => '发送充值成功短信调用的模板CODE 如 SMS_229643263', 
            'name' => 'pay_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入商品模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '实名验证码',
            'name' => 'auth_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '验证码模板', 
            'placeholder' => '实名认证时发送验证码调用的模板CODE 如 SMS_229648275', 
            'name' => 'auth_code_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入实名认证验证码模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '实名成功',
            'name' => 'auth_yes',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '通知模板', 
            'placeholder' => '实名认证成功发送通知调用的模板CODE 如 SMS_229613440', 
            'name' => 'auth_yes_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入实名认证验通知模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '购买商品',
            'name' => 'buy',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '商品模板', 
            'placeholder' => '发送购买商品短信调用的模板CODE 如 SMS_229643264', 
            'name' => 'buy_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入商品模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '续费资产',
            'name' => 'renew',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '续费模板', 
            'placeholder' => '发送续费资产短信调用的模板CODE 如 SMS_230675799', 
            'name' => 'renew_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入续费模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '升级资产',
            'name' => 'upshop',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '升级模板', 
            'placeholder' => '升级资产通知短信调用的模板CODE 如 SMS_251130047', 
            'name' => 'upshop_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入升级模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '三天到期',
            'name' => 'sexpire',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '三天模板', 
            'placeholder' => '资产到期前三天通知短信调用的模板CODE 如 SMS_251130047', 
            'name' => 'sexpire_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入3天模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '资产到期',
            'name' => 'expire',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '到期模板', 
            'placeholder' => '资产到期短信调用的模板CODE 如 SMS_251130047', 
            'name' => 'expire_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入到期模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '资产删除',
            'name' => 'dells',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '删除模板', 
            'placeholder' => '资产删除短信调用的模板CODE 如 SMS_251130047', 
            'name' => 'dells_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入删除模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '提交工单',
            'name' => 'get_ods',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '提交模板', 
            'placeholder' => '提交工单短信调用的模板CODE 如 SMS_251130047', 
            'name' => 'get_ods_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入提交模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '回复工单',
            'name' => 'me_ods',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),  
		array( 
            'type' => 'input', 
            'text' => '回复模板', 
            'placeholder' => '回复工单短信调用的模板CODE 如 SMS_251110046', 
            'name' => 'me_ods_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入回复模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '退款进展',
            'name' => 'refund',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),  
		array( 
            'type' => 'input', 
            'text' => '退款模板', 
            'placeholder' => '退款进展短信调用的模板CODE 如 SMS_251110046', 
            'name' => 'refund_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入退款模板', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '开票进展',
            'name' => 'invoice',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),  
		array( 
            'type' => 'input', 
            'text' => '开票模板', 
            'placeholder' => '开票进展短信调用的模板CODE 如 SMS_251110046', 
            'name' => 'invoice_codes',
			'defaultvalue' => '', 
            'rules' => array(
                'required' => false,  
                'message' => '请输入开票模板', 
                'trigger' => 'blur', 
            ),

        ),
	),
	// 添加API参数结束

	// 配置文件结束	
	
    );
