<?php 
// Welcome to 乐众系统&IDC财务管理系统
// Copyright (c)  http://www.lzsys.com/ All rights reserved.
// Business authorization email server@lzsys.com
// 欢迎使用乐众系统&IDC财务管理系统

// [阿里云短信应用 功能模块]
if ($addons_config['path'] <> "aliyunsms") {
    error();
} 
//  [引入官方demo]
require("SmsDemo.php");
//  实例化demo
$aliyunsms = new SmsDemo();

// 将实例化对象储存到 plugin 中
$plugin->system("aliyunsms", $aliyunsms);

/*
----- 将阿里云返回的对象转发成数组
*/
function aliyunsms_object_to_array($obj){
    $_arr=is_object($obj)?get_object_vars($obj):$obj;
    $arr = null;
    foreach($_arr as $key=>$val){
        $val=(is_array($val))||is_object($val)?$this->object_to_array($val):$val;
        $arr[$key]=$val;
    }
    return $arr;
}
/**
 * -----阿里云短信接口通讯检测  通过发送一封测试短信检测是否成功
 */
function aliyunsms_status_vhost($plugin) {
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	
	
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['test_code'];
	$tel = $api_config['remark']['test_tel'];

    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "接口通讯成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 

/**
 * -----发送客户登录短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_login($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();

	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	if($api_config['remark']['login']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['login_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("time"=>date("Y-m-d H:i:s", time()),"city"=>"IP ".$plugin->ide->lzsys_system->get_ip()); //变量替换
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----发送客户登录失败短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_login_error($plugin) {
	
	
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['login_error']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['login_error_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("time"=>date("Y-m-d H:i:s", time()),"city"=>"IP ".$plugin->ide->lzsys_system->get_ip()); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	
	

} 
/**
 * -----发送客户注册短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_reg($plugin) {
	
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['reg']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['reg_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("tel"=>$asset_data['mobile'],"pass"=>$asset_data['pass']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	
	
} 
/**
 * -----发送客户登录验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_login_code($plugin) {
	
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['login_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['login_code_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("code"=>$asset_data['code']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	

}
/**
 * -----发送客户注册验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_reg_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['reg_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['reg_code_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("code"=>$asset_data['code']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	
}
/**
 * -----发送客户找回密码验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_retrieve_code($plugin) {
	
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['retrieve_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['retrieve_code_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("code"=>$asset_data['code']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	
	
}
/**
 * -----发送客户购买商品通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_buy($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['buy']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['buy_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("name"=>$asset_data['shop_product']['product_name'],"time"=>date("Y-m-d H:i:s",$asset_data['buy_data']['begin_time']),"time1"=>date("Y-m-d H:i:s",$asset_data['buy_data']['end_time'])); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}
/**
 * -----发送客户充值余额通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_pay($plugin) {
	
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['pay']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['pay_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("money"=>$asset_data['orders']['money'],"time"=>date("Y-m-d H:i:s",$asset_data['orders']['end_time'])); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	
	

}

/**
 * -----发送客户实名认证验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_auth_code($plugin) {
	
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['auth_code']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['auth_code_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("code"=>$asset_data['code']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	
	
}
/**
 * -----发送客户实名认成功短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_auth_yes($plugin) {
	
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['auth_yes']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['auth_yes_codes'];
	$tel = $asset_data['mobile'];

    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));	

}

/**
 * -----发送客户续费资产通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_renew($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['renew']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['renew_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("name"=>$asset_data['shop_product']['asset_name'],"time"=>date("Y-m-d H:i:s",$asset_data['buy_data']['begin_time']),"time1"=>date("Y-m-d H:i:s",$asset_data['buy_data']['end_time'])); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}
/**
 * -----发送工单回复短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_me_ods($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['me_ods']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['me_ods_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("user"=>$tel,"orders"=>$asset_data['renid']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}
/**
 * -----发送退款回复短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_refund($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['refund']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['refund_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("user"=>$tel,"orders"=>$asset_data['renid']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}
/**
 * -----发送开票回复短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_invoice($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['invoice']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['invoice_codes'];
	$tel = $asset_data['mobile'];
	$var_code = array("user"=>$tel,"orders"=>$asset_data['renid']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}
/**
 * -----发送资产到期当天短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_expire($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['expire']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['expire_codes'];
	$tel = $asset_data['mobile'];
	//exit($asset_data['shop_product']);
	$var_code = array("user"=>$tel,"asset_name"=>$asset_data['shop_product']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}

/**
 * -----发送资产3天前到期短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_sexpire($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['sexpire']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['sexpire_codes'];
	$tel = $asset_data['mobile'];
	//exit($asset_data['shop_product']);
	$var_code = array("user"=>$tel,"asset_name"=>$asset_data['shop_product']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}
/**
 * -----发送资产到期当前短信通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function aliyunsms_dells($plugin) {

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();
	if($api_config['remark']['dells']<>"open"){
		$status = array('status' => false, 'msg' => "该短信服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$ID = $api_config['remark']['account'];
	$KEY = $api_config['remark']['secret'];
	
	$Sign = $app_data['app_name'];
	$code = $api_config['remark']['dells_codes'];
	$tel = $asset_data['mobile'];
	//exit($asset_data['shop_product']);
	$var_code = array("user"=>$tel,"asset_name"=>$asset_data['shop_product']); //变量替换
	
    $get_status = $plugin->aliyunsms->sendSms($ID,$KEY,$Sign,$code,$tel,$var_code);
	$get_status = aliyunsms_object_to_array($get_status);

    if ($get_status['Message'] == "OK") {
        $status = array('status' => true, 'msg' => "短信发送成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status['Message'], 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));		
	
}